org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCacheNodePartitionsRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest
    - - org.apache.ignite.internal.processors.platform.client.cache.ClientCacheNodePartitionsRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class ClientCacheNodePartitionsRequest
    extends ClientCacheRequest

Cluster node list request. Used to request list of nodes, to calculate affinity on the client side. Deprecated since 1.3.0. Replaced with `ClientCachePartitionsRequest`.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientCacheNodePartitionsRequest(BinaryRawReader reader)` Initializes a new instance of ClientRawRequest class.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientResponse` `process(ClientConnectionContext ctx)` Processes the request.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.cache.ClientCacheRequest

`cache, cacheDescriptor, cacheDescriptor, cacheId, isKeepBinary, isTransactional, rawCache`

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientCacheNodePartitionsRequest

    public ClientCacheNodePartitionsRequest(BinaryRawReader reader)

Initializes a new instance of ClientRawRequest class.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022